# Source Generated with Decompyle++
# File: in.pyc (Python 2.3)

'''email package exception classes.
'''

class MessageError(Exception):
    '''Base class for errors in the email package.'''
    pass


class MessageParseError(MessageError):
    '''Base class for message parsing errors.'''
    pass


class HeaderParseError(MessageParseError):
    '''Error while parsing headers.'''
    pass


class BoundaryError(MessageParseError):
    """Couldn't find terminating boundary."""
    pass


class MultipartConversionError(MessageError, TypeError):
    '''Conversion to a multipart is prohibited.'''
    pass

