# Source Generated with Decompyle++
# File: in.pyo (Python 2.3)

'''Various types of useful iterators and generators.
'''
import sys

try:
    from email._compat22 import body_line_iterator, typed_subpart_iterator
except SyntaxError:
    from email._compat21 import body_line_iterator, typed_subpart_iterator


def _structure(msg, fp = None, level = 0):
    '''A handy debugging aid'''
    if fp is None:
        fp = sys.stdout
    
    tab = ' ' * level * 4
    print >>fp, tab + msg.get_content_type()
    if msg.is_multipart():
        for subpart in msg.get_payload():
            _structure(subpart, fp, level + 1)
        
    

