# Source Generated with Decompyle++
# File: in.pyo (Python 2.3)

'''A package for parsing, handling, and generating email messages.
'''
__version__ = '2.5.3'
__all__ = [
    'base64MIME',
    'Charset',
    'Encoders',
    'Errors',
    'Generator',
    'Header',
    'Iterators',
    'Message',
    'MIMEAudio',
    'MIMEBase',
    'MIMEImage',
    'MIMEMessage',
    'MIMEMultipart',
    'MIMENonMultipart',
    'MIMEText',
    'Parser',
    'quopriMIME',
    'Utils',
    'message_from_string',
    'message_from_file']

try:
    (True, False)
except NameError:
    True = 1
    False = 0


def message_from_string(s, _class = None, strict = False):
    '''Parse a string into a Message object model.

    Optional _class and strict are passed to the Parser constructor.
    '''
    Parser = Parser
    import email.Parser
    if _class is None:
        Message = Message
        import email.Message
        _class = Message
    
    return Parser(_class, strict = strict).parsestr(s)


def message_from_file(fp, _class = None, strict = False):
    '''Read a file and parse its contents into a Message object model.

    Optional _class and strict are passed to the Parser constructor.
    '''
    Parser = Parser
    import email.Parser
    if _class is None:
        Message = Message
        import email.Message
        _class = Message
    
    return Parser(_class, strict = strict).parse(fp)

from encodings.aliases import aliases
if not aliases.has_key('ansi_x3.4_1968'):
    aliases['ansi_x3.4_1968'] = 'ascii'

del aliases
