# Source Generated with Decompyle++
# File: in.pyc (Python 2.3)

''' Encoding Aliases Support

    This module is used by the encodings package search function to
    map encodings names to module names.

    Note that the search function normalizes the encoding names before
    doing the lookup, so the mapping will have to map normalized
    encoding names to module names.

    Contents:

        The following aliases dictionary contains mappings of all IANA
        character set names for which the Python core library provides
        codecs. In addition to these, a few Python specific codec
        aliases have also been added.

    About the CJK codec aliases:

        The codecs for these encodings are not distributed with the
        Python core, but are included here for reference, since the
        locale module relies on having these aliases available.

'''
aliases = {
    '646': 'ascii',
    'ansi_x3.4_1968': 'ascii',
    'ansi_x3_4_1968': 'ascii',
    'ansi_x3.4_1986': 'ascii',
    'cp367': 'ascii',
    'csascii': 'ascii',
    'ibm367': 'ascii',
    'iso646_us': 'ascii',
    'iso_646.irv_1991': 'ascii',
    'iso_ir_6': 'ascii',
    'us': 'ascii',
    'us_ascii': 'ascii',
    'base64': 'base64_codec',
    'base_64': 'base64_codec',
    'csibm037': 'cp037',
    'ebcdic_cp_ca': 'cp037',
    'ebcdic_cp_nl': 'cp037',
    'ebcdic_cp_us': 'cp037',
    'ebcdic_cp_wt': 'cp037',
    'ibm037': 'cp037',
    'ibm039': 'cp037',
    'csibm1026': 'cp1026',
    'ibm1026': 'cp1026',
    'ibm1140': 'cp1140',
    'windows_1250': 'cp1250',
    'windows_1251': 'cp1251',
    'windows_1252': 'cp1252',
    'windows_1253': 'cp1253',
    'windows_1254': 'cp1254',
    'windows_1255': 'cp1255',
    'windows_1256': 'cp1256',
    'windows_1257': 'cp1257',
    'windows_1258': 'cp1258',
    'csibm424': 'cp424',
    'ebcdic_cp_he': 'cp424',
    'ibm424': 'cp424',
    '437': 'cp437',
    'cspc8codepage437': 'cp437',
    'ibm437': 'cp437',
    'csibm500': 'cp500',
    'ebcdic_cp_be': 'cp500',
    'ebcdic_cp_ch': 'cp500',
    'ibm500': 'cp500',
    'cspc775baltic': 'cp775',
    'ibm775': 'cp775',
    '850': 'cp850',
    'cspc850multilingual': 'cp850',
    'ibm850': 'cp850',
    '852': 'cp852',
    'cspcp852': 'cp852',
    'ibm852': 'cp852',
    '855': 'cp855',
    'csibm855': 'cp855',
    'ibm855': 'cp855',
    '857': 'cp857',
    'csibm857': 'cp857',
    'ibm857': 'cp857',
    '860': 'cp860',
    'csibm860': 'cp860',
    'ibm860': 'cp860',
    '861': 'cp861',
    'cp_is': 'cp861',
    'csibm861': 'cp861',
    'ibm861': 'cp861',
    '862': 'cp862',
    'cspc862latinhebrew': 'cp862',
    'ibm862': 'cp862',
    '863': 'cp863',
    'csibm863': 'cp863',
    'ibm863': 'cp863',
    'csibm864': 'cp864',
    'ibm864': 'cp864',
    '865': 'cp865',
    'csibm865': 'cp865',
    'ibm865': 'cp865',
    '866': 'cp866',
    'csibm866': 'cp866',
    'ibm866': 'cp866',
    '869': 'cp869',
    'cp_gr': 'cp869',
    'csibm869': 'cp869',
    'ibm869': 'cp869',
    'hex': 'hex_codec',
    'csisolatin6': 'iso8859_10',
    'iso_8859_10': 'iso8859_10',
    'iso_8859_10_1992': 'iso8859_10',
    'iso_ir_157': 'iso8859_10',
    'l6': 'iso8859_10',
    'latin6': 'iso8859_10',
    'iso_8859_13': 'iso8859_13',
    'iso_8859_14': 'iso8859_14',
    'iso_8859_14_1998': 'iso8859_14',
    'iso_celtic': 'iso8859_14',
    'iso_ir_199': 'iso8859_14',
    'l8': 'iso8859_14',
    'latin8': 'iso8859_14',
    'iso_8859_15': 'iso8859_15',
    'csisolatin2': 'iso8859_2',
    'iso_8859_2': 'iso8859_2',
    'iso_8859_2_1987': 'iso8859_2',
    'iso_ir_101': 'iso8859_2',
    'l2': 'iso8859_2',
    'latin2': 'iso8859_2',
    'csisolatin3': 'iso8859_3',
    'iso_8859_3': 'iso8859_3',
    'iso_8859_3_1988': 'iso8859_3',
    'iso_ir_109': 'iso8859_3',
    'l3': 'iso8859_3',
    'latin3': 'iso8859_3',
    'csisolatin4': 'iso8859_4',
    'iso_8859_4': 'iso8859_4',
    'iso_8859_4_1988': 'iso8859_4',
    'iso_ir_110': 'iso8859_4',
    'l4': 'iso8859_4',
    'latin4': 'iso8859_4',
    'csisolatincyrillic': 'iso8859_5',
    'cyrillic': 'iso8859_5',
    'iso_8859_5': 'iso8859_5',
    'iso_8859_5_1988': 'iso8859_5',
    'iso_ir_144': 'iso8859_5',
    'arabic': 'iso8859_6',
    'asmo_708': 'iso8859_6',
    'csisolatinarabic': 'iso8859_6',
    'ecma_114': 'iso8859_6',
    'iso_8859_6': 'iso8859_6',
    'iso_8859_6_1987': 'iso8859_6',
    'iso_ir_127': 'iso8859_6',
    'csisolatingreek': 'iso8859_7',
    'ecma_118': 'iso8859_7',
    'elot_928': 'iso8859_7',
    'greek': 'iso8859_7',
    'greek8': 'iso8859_7',
    'iso_8859_7': 'iso8859_7',
    'iso_8859_7_1987': 'iso8859_7',
    'iso_ir_126': 'iso8859_7',
    'csisolatinhebrew': 'iso8859_8',
    'hebrew': 'iso8859_8',
    'iso_8859_8': 'iso8859_8',
    'iso_8859_8_1988': 'iso8859_8',
    'iso_ir_138': 'iso8859_8',
    'csisolatin5': 'iso8859_9',
    'iso_8859_9': 'iso8859_9',
    'iso_8859_9_1989': 'iso8859_9',
    'iso_ir_148': 'iso8859_9',
    'l5': 'iso8859_9',
    'latin5': 'iso8859_9',
    'csiso2022jp': 'jis_7',
    'iso_2022_jp': 'jis_7',
    'cskoi8r': 'koi8_r',
    '8859': 'latin_1',
    'cp819': 'latin_1',
    'csisolatin1': 'latin_1',
    'ibm819': 'latin_1',
    'iso8859': 'latin_1',
    'iso_8859_1': 'latin_1',
    'iso_8859_1_1987': 'latin_1',
    'iso_ir_100': 'latin_1',
    'l1': 'latin_1',
    'latin': 'latin_1',
    'latin1': 'latin_1',
    'maccyrillic': 'mac_cyrillic',
    'macgreek': 'mac_greek',
    'maciceland': 'mac_iceland',
    'maccentraleurope': 'mac_latin2',
    'maclatin2': 'mac_latin2',
    'macroman': 'mac_roman',
    'macturkish': 'mac_turkish',
    'dbcs': 'mbcs',
    'quopri': 'quopri_codec',
    'quoted_printable': 'quopri_codec',
    'quotedprintable': 'quopri_codec',
    'rot13': 'rot_13',
    'tis260': 'tactis',
    'u16': 'utf_16',
    'utf16': 'utf_16',
    'unicodebigunmarked': 'utf_16_be',
    'utf_16be': 'utf_16_be',
    'unicodelittleunmarked': 'utf_16_le',
    'utf_16le': 'utf_16_le',
    'u7': 'utf_7',
    'utf7': 'utf_7',
    'u8': 'utf_8',
    'utf': 'utf_8',
    'utf8': 'utf_8',
    'utf8_ucs2': 'utf_8',
    'utf8_ucs4': 'utf_8',
    'uu': 'uu_codec',
    'zip': 'zlib_codec',
    'zlib': 'zlib_codec' }
