# Source Generated with Decompyle++
# File: in.pyc (Python 2.3)

from segmenttermdocs import SegmentTermDocs
import copy

class SegmentTermPositions(SegmentTermDocs):
    __slots__ = [
        'position',
        'proxCount',
        'proxStream']
    
    def __init__(self, p):
        self.proxCount = 0
        self.position = 0
        SegmentTermDocs.__init__(self, p)
        self.proxStream = self.parent.proxStream.clone()

    
    def close(self):
        SegmentTermDocs.close(self)
        self.proxStream.close()

    
    def next(self):
        for i in range(self.proxCount):
            self.proxStream.readVInt()
        
        if SegmentTermDocs.next(self):
            self.proxCount = self.frq
            self.position = 0
            return True
        
        return False

    
    def nextPosition(self):
        self.proxCount -= 1
        self.position += self.proxStream.readVInt()
        return self.position

    
    def read(self, docs, freqs):
        raise Exception, 'why?'

    
    def seekTi(self, ti):
        SegmentTermDocs.seekTi(self, ti)
        if ti is not None:
            self.proxStream.seek(ti.proxPointer)
        else:
            self.proxCount = 0

    
    def skippingDoc(self):
        for f in range(self.frq, 0, -1):
            self.proxStream.readVInt()
        

    
    def __repr__(self):
        s = '<stp>' + str(self.position)
        return s


