# Source Generated with Decompyle++
# File: in.pyc (Python 2.3)

import os
_listdir_cache = { }

def listdir(path):
    
    try:
        (cached_mtime, files, directories) = _listdir_cache[path]
        del _listdir_cache[path]
    except KeyError:
        (cached_mtime, files, directories) = (-1, [], [])

    
    try:
        mtime = os.stat(path).st_mtime
    except os.error:
        return ([], [])

    if mtime != cached_mtime:
        
        try:
            lizt = os.listdir(path)
        except os.error:
            return ([], [])

        files = []
        directories = []
        for e in lizt:
            if os.path.isdir(os.path.join(path, e)):
                directories.append(e)
                continue
            files.append(e)
        
    
    _listdir_cache[path] = (mtime, files, directories)
    return (files, directories)

