# Source Generated with Decompyle++
# File: in.pyc (Python 2.3)

import md5

class AuthError(Exception):
    pass


def HTTPauthenticate(request, response, checkUserPasswdCallback, authMethod = 'basic', authRealm = None):
    
    try:
        auth = request.getAuth()
        if not auth:
            raise AuthError('browser needs to supply authentication information for this URL')
        
        (scheme, digest) = auth.split(' ', 1)
        if scheme.lower() == 'basic':
            
            try:
                (username, password) = digest.decode('base-64').split(':')
                
                try:
                    if checkUserPasswdCallback(username, password):
                        return (username, password)
                except:
                    pass

                raise AuthError('invalid username or password')
            except ValueError:
                raise AuthError('invalid digest string')
            except:
                None<EXCEPTION MATCH>ValueError
            

        None<EXCEPTION MATCH>ValueError
        if scheme.lower() == 'digest':
            raise AuthError('DIGEST auth method not yet supported!')
            digest = [ d.strip() for d in digest.split(',') ]
            dig = { }
            for digestitem in digest:
                (name, value) = digestitem.split('=')
                dig[name.lower()] = value
            
            if dig.get('algorithm') in (None, 'md5', 'MD5'):
                hA1 = md5.md5(dig['username'] + ':' + dig['realm'] + ':' + 'password').hexdigest()
            elif dig['algorithm'].lower() == 'md5-sess':
                hA1 = md5.md5(hA1 + ':' + dig['nonce'] + ':' + dig['cnonce']).hexdigest()
            else:
                raise AuthError('invalid algorithm: ' + dig['algorithm'])
            if dig.get('qop') in (None, 'auth', 'Auth'):
                hA2 = md5.md5(request.getMethod() + ':' + dig['uri']).hexdigest()
            else:
                raise AuthError('non-supported QOP: ' + dig['qop'])
            if dig['qop'].lower() == 'auth':
                computed_request_digest = md5.md5(hA1 + dig['nonce'] + ':' + dig['nc'] + ':' + dig['cnonce'] + ':' + dig['qop'] + ':' + hA2).hexdigest()
            else:
                computed_request_digest = md5.md5(hA1 + dig['nonce'] + ':' + hA2).hexdigest()
            if computed_request_digest != dig['response']:
                raise AuthError('Invalid Authentication')
            
            return (dig['username'], computed_request_digest)
        else:
            raise AuthError('unsupport auth method: ' + scheme)
        raise AuthError('dunno...')
    except AuthError:
        authMethod = authMethod.lower()
        if authMethod == 'basic':
            if not authRealm and request.getWebApp().getName()[1]:
                pass
            name = 'Web application'
            response.setHeader('WWW-Authenticate', 'Basic realm="' + name + '"')
            response.sendError(401)
            raise 
        elif authMethod == 'digest':
            raise AuthError('digest auth method not yet supported')
        
        raise 


