# Source Generated with Decompyle++
# File: in.pyc (Python 2.3)

import os

class FormFileUploadError(Exception):
    pass


class FormUploadedFile:
    
    def __init__(self, name, cgiFieldStorage):
        self.name = name
        self.file = cgiFieldStorage.file
        self.filename = os.path.basename(cgiFieldStorage.filename)
        self.disposition = cgiFieldStorage.disposition
        self.dispositionOptions = cgiFieldStorage.disposition_options
        self.mimeType = cgiFieldStorage.type
        self.typeOptions = cgiFieldStorage.type_options

    
    def __repr__(self):
        return str(self)

    
    def __str__(self):
        return "<uploaded file '" + self.filename + "' in field '" + self.name + "' at " + hex(id(self)) + '>'



class Form(dict):
    
    def __init__(self, cgiFieldStorage, encoding = None):
        for param in cgiFieldStorage.keys():
            value = cgiFieldStorage[param]
            if type(value) == type([]):
                if encoding:
                    self[param.decode(encoding)] = [ mf.value.decode(encoding) for mf in value ]
                else:
                    self[param] = [ mf.value for mf in value ]
            encoding
            if value.file and value.filename:
                self[param] = FormUploadedFile(param, value)
                continue
            if encoding:
                uparam = param.decode(encoding)
                uvalue = value.value.decode(encoding)
                self[uparam] = uvalue
                continue
            self[param] = value.value
        

    
    def simplifyValues(self):
        removelist = []
        for name, value in self.iteritems():
            if type(value) == type([]):
                if len(value) == 1:
                    self[name] = value[0]
                elif len(value) == 0:
                    removelist += name
                
            len(value) == 1
        
        for name in removelist:
            del self[name]
        


