# Source Generated with Decompyle++
# File: in.pyc (Python 2.3)

'''Run all test cases.
'''
import sys
import os
import unittest
verbose = 0
if 'verbose' in sys.argv:
    verbose = 1
    sys.argv.remove('verbose')

if 'silent' in sys.argv:
    verbose = 0
    sys.argv.remove('silent')


def print_versions():
    
    try:
        db = db
        import bsddb
    except ImportError:
        db = db
        import bsddb3

    print 
    print '-=' * 38
    print db.DB_VERSION_STRING
    print 'bsddb.db.version():   %s' % (db.version(),)
    print 'bsddb.db.__version__: %s' % db.__version__
    print 'bsddb.db.cvsid:       %s' % db.cvsid
    print 'python version:       %s' % sys.version
    print 'My pid:               %s' % os.getpid()
    print '-=' * 38


class PrintInfoFakeTest(unittest.TestCase):
    
    def testPrintVersions(self):
        print_versions()


import test_all
test_all.verbose = verbose

def suite():
    test_modules = [
        'test_associate',
        'test_basics',
        'test_compat',
        'test_dbobj',
        'test_dbshelve',
        'test_dbtables',
        'test_env_close',
        'test_get_none',
        'test_join',
        'test_lock',
        'test_misc',
        'test_queue',
        'test_recno',
        'test_thread']
    alltests = unittest.TestSuite()
    for name in test_modules:
        module = __import__(name)
        alltests.addTest(module.suite())
    
    return alltests


def test_suite():
    suite = unittest.TestSuite()
    suite.addTest(unittest.makeSuite(PrintInfoFakeTest))
    return suite

if __name__ == '__main__':
    print_versions()
    unittest.main(defaultTest = 'suite')

