# Source Generated with Decompyle++
# File: in.pyc (Python 2.3)

import segmentinfo

class SegmentInfos(list):
    __slots__ = [
        'counter']
    
    def __init__(self, list = None):
        self.counter = 0
        if list is not None:
            for i in list:
                self.append(i)
            
        

    
    def __getslice__(self, lo, hi):
        res = SegmentInfos(list.__getslice__(self, lo, hi))
        res.counter = self.counter
        return res

    
    def read(self, directory):
        input = directory.openFile('segments')
        
        try:
            self.counter = input.readInt()
            i = input.readInt()
            while i > 0:
                si = segmentinfo.SegmentInfo(input.readString(), input.readInt(), directory)
                self.append(si)
                i -= 1
        finally:
            input.close()


    
    def write(self, directory):
        output = directory.createFile('segments.new')
        
        try:
            output.writeInt(self.counter)
            output.writeInt(len(self))
            for si in self:
                output.writeString(si.name)
                output.writeInt(si.docCount)
        finally:
            output.close()

        directory.renameFile('segments.new', 'segments')

    
    def __repr__(self):
        return 'SegInfo' + list.__repr__(self)


