# Source Generated with Decompyle++
# File: in.pyc (Python 2.3)

import segmenttermpositions

class SegmentMergeInfo(object):
    __slots__ = [
        'base',
        'docMap',
        'postings',
        'reader',
        'term',
        'termEnum']
    
    def __init__(self, b, te, r):
        self.base = b
        self.reader = r
        self.termEnum = te
        self.term = te.term
        self.docMap = None
        self.postings = segmenttermpositions.SegmentTermPositions(r)
        if self.reader.deletedDocs is not None:
            deletedDocs = self.reader.deletedDocs
            maxDoc = self.reader.maxDoc()
            self.docMap = [
                0] * maxDoc
            j = 0
            for i in range(maxDoc):
                if deletedDocs.get(i):
                    self.docMap[i] = -1
                    continue
                self.docMap[i] += 1
            
        

    
    def close(self):
        self.termEnum.close()
        self.postings.close()

    
    def next(self):
        if self.termEnum.next():
            self.term = self.termEnum.term
            return True
        else:
            self.term = None
            return False

    
    def __repr__(self):
        return '<SegMergInfo' + str(self.term) + '>'


