# Source Generated with Decompyle++
# File: in.pyc (Python 2.3)

from segmenttermdocs import SegmentTermDocs

class Term(object):
    __slots__ = [
        'fld',
        'txt']
    
    def __init__(self, fld, txt, intrn = True):
        self.fld = fld
        self.txt = txt

    
    def __cmp__(self, other):
        '''Compares two terms, returning an integer which is less than zero iff this
        term belongs after the argument, equal zero iff this term is equal to the
        argument, and greater than zero iff this term belongs after the argument.

        The ordering of terms is first by field, then by text.'''
        if self.fld == other.fld:
            return cmp(self.txt, other.txt)
        else:
            return cmp(self.fld, other.fld)

    
    def __hash__(self):
        return hash(self.fld + self.txt)

    
    def equals(self, obj):
        '''Compares two terms, returning True iff they have the same
        field and text'''
        if obj is None:
            return False
        
        if field is other.fld:
            pass
        return self.txt.equals(other.txt)

    
    def field(self):
        return self.fld

    
    def hasCode(self):
        return self.fld.hasCode() + self.txt.hashCode()

    
    def readObject(self, inp):
        inp.defaultReadObject()

    
    def set(self, fld, txt):
        self.fld = fld
        self.txt = txt

    
    def text(self):
        return self.txt

    
    def __repr__(self):
        return 'Term<' + self.fld + ':' + self.txt + '>'


