# Source Generated with Decompyle++
# File: in.pyc (Python 2.3)

from array import array
BYTE_COUNTS = array('B', [
    0,
    1,
    1,
    2,
    1,
    2,
    2,
    3,
    1,
    2,
    2,
    3,
    2,
    3,
    3,
    4,
    1,
    2,
    2,
    3,
    2,
    3,
    3,
    4,
    2,
    3,
    3,
    4,
    3,
    4,
    4,
    5,
    1,
    2,
    2,
    3,
    2,
    3,
    3,
    4,
    2,
    3,
    3,
    4,
    3,
    4,
    4,
    5,
    2,
    3,
    3,
    4,
    3,
    4,
    4,
    5,
    3,
    4,
    4,
    5,
    4,
    5,
    5,
    6,
    1,
    2,
    2,
    3,
    2,
    3,
    3,
    4,
    2,
    3,
    3,
    4,
    3,
    4,
    4,
    5,
    2,
    3,
    3,
    4,
    3,
    4,
    4,
    5,
    3,
    4,
    4,
    5,
    4,
    5,
    5,
    6,
    2,
    3,
    3,
    4,
    3,
    4,
    4,
    5,
    3,
    4,
    4,
    5,
    4,
    5,
    5,
    6,
    3,
    4,
    4,
    5,
    4,
    5,
    5,
    6,
    4,
    5,
    5,
    6,
    5,
    6,
    6,
    7,
    1,
    2,
    2,
    3,
    2,
    3,
    3,
    4,
    2,
    3,
    3,
    4,
    3,
    4,
    4,
    5,
    2,
    3,
    3,
    4,
    3,
    4,
    4,
    5,
    3,
    4,
    4,
    5,
    4,
    5,
    5,
    6,
    2,
    3,
    3,
    4,
    3,
    4,
    4,
    5,
    3,
    4,
    4,
    5,
    4,
    5,
    5,
    6,
    3,
    4,
    4,
    5,
    4,
    5,
    5,
    6,
    4,
    5,
    5,
    6,
    5,
    6,
    6,
    7,
    2,
    3,
    3,
    4,
    3,
    4,
    4,
    5,
    3,
    4,
    4,
    5,
    4,
    5,
    5,
    6,
    3,
    4,
    4,
    5,
    4,
    5,
    5,
    6,
    4,
    5,
    5,
    6,
    5,
    6,
    6,
    7,
    3,
    4,
    4,
    5,
    4,
    5,
    5,
    6,
    4,
    5,
    5,
    6,
    5,
    6,
    6,
    7,
    4,
    5,
    5,
    6,
    5,
    6,
    6,
    7,
    5,
    6,
    6,
    7,
    6,
    7,
    7,
    8])

class BitVector(object):
    __slots__ = [
        'bits',
        'bcount',
        'len']
    
    def __init__(self, dirOrInt, name = None):
        if name is None:
            self.len = dirOrInt
            self.bits = array('B', [
                0] * ((self.len >> 3) + 1))
            self.bcount = -1
        else:
            input = dirOrInt.openFile(name)
            
            try:
                self.len = input.readInt()
                self.bcount = input.readInt()
                self.bits = array('B', [
                    0] * ((self.len >> 3) + 1))
                input.readBytes(self.bits, 0, len(self.bits))
            finally:
                input.close()


    
    def init__(self, n):
        self.len = n
        self.bits = array('B', [
            0] * ((self.len >> 3) + 1))

    
    def clear(self, bit):
        self.bits[bit >> 3] &= ~(1 << (bit & 7))
        self.bcount = -1

    
    def count(self):
        '''Returns the total number of one bits in this vector.
        This is efficiently computed and cached, so that, if the
        vector is not changed, no recomputation is done for
        repeated calls.'''
        if self.bcount == -1:
            c = 0
            for b in self.bits:
                c += BYTE_COUNTS[b & 255]
            
            self.bcount = c
        
        return self.bcount

    
    def get(self, bit):
        return self.bits[bit >> 3] & 1 << (bit & 7) != 0

    
    def set(self, bit):
        self.bits[bit >> 3] |= 1 << (bit & 7)
        self.bcount = -1

    
    def __len__(self):
        return self.len

    
    def write(self, d, name):
        output = d.createFile(name)
        
        try:
            output.writeInt(len(self))
            output.writeInt(self.count())
            output.writeBytes(self.bits, len(self.bits))
        finally:
            output.close()



