# Source Generated with Decompyle++
# File: in.pyc (Python 2.3)


class NormalizedHeaderDict(dict):
    
    def __init__(self, *args):
        if len(args) == 1 and type(args[0] == type({ })):
            dict.__init__(self)
            d = args[0]
            for key in d:
                self[key.title()] = d[key]
            
        else:
            dict.__init__(self, *args)

    
    def __contains__(self, key):
        return dict.__contains__(self, key.title())

    
    def __delitem__(self, item):
        return dict.__delitem__(self, item.title())

    
    def __getitem__(self, item):
        return dict.__getitem__(self, item.title())

    
    def __setitem__(self, item, value):
        return dict.__setitem__(self, item.title(), value)

    
    def get(self, item):
        return dict.get(self, item.title())

    
    def update(self, d):
        for key in d:
            self[key.title()] = d[key]
        

    
    def has_key(self, key):
        return dict.has_key(self, key.title())



class ContextContainer:
    pass

